基于Maven Bom方式使用

WARNING

该方式自2.0.2版本才提供,在knife4j以前的版本中没有knife4j-dependencies模块,开发者在使用的时候需要注意

knife4j2.0.2版本中提供了knife4j-dependencies模块,该模块是对knife4j所使用的jar包进行管理,开发者如果想以maven bom的方式使用knife4j,可以引用该jar包,避免版本冲突

在Maven项目的pom.xml文件中引入该依赖,如下:

<dependencyManagement>
    <dependencies>
        <dependency>
            <groupId>com.github.xiaoymin</groupId>
            <artifactId>knife4j-dependencies</artifactId>
            <version>2.0.2</version>
            <type>pom</type>
            <scope>import</scope>
        </dependency>
    </dependencies>
</dependencyManagement>

导入以上配置后,在maven的dependencies节点中就可以直接引用knife4j提供的模块,无需指定版本号,如下:

在Spring Boot项目中引入knife4j-spring-boot-starter模块

<dependencies>
    <dependency>
        <groupId>com.github.xiaoymin</groupId>
        <artifactId>knife4j-spring-boot-starter</artifactId>
    </dependency>
</dependencies>
被围观 人次
上次更新: 2020-3-8 14:15:27